const AbstractListenerRSSBuilder = require('AbstractListenerRSSBuilder')

class YoutubeListenerRSSBuilder extends AbstractListenerRSSBuilder {
    constructor() {
        super();
    }

    setSpecificInfos() {
        this.listenerRSS._customfields = [
            ['description', ['media:group', 'media:description']],
            ['icon', ['media:group', 'media:thumbnail']]
        ]
    }
}

module.exports = YoutubeListenerRSSBuilder